//====================================================//
// Reallite HLGuard Anti-Cheat                        //
// Автор: DJ_WEST                                     //
// Copyright (C) Reallite Labs, 2002-2007             //
// Версия: 2.4                                        //
// Сайт: http://reallite.cs2.ru                       //
//====================================================//

//====================================================//
// Другое действие                                    //
//====================================================//
// v - сообщение в игре, запись в логи и удаление игрока с сервера
hlg_action "v:found" "hlg_writefile %L/rhlg_other.txt;hlg_write \'%d %h [Reallite HLGuard 2.4] -> %n<%w><%i> <%y> on %m\'"
hlg_action "v:found" "hlg_writefile %L/rhlg_other.htm;hlg_write \'%d %h [Reallite HLGuard 2.4] -> <b>%n</b>(<b>%w</b>)(<b>%i</b>) <b>%y</b> on <b>%m</b><br>\'"
hlg_action "v:found" "hlg_log \'%n<%w><%i> triggered <%y>\'"
hlg_action "v:found" "hlg_say \'[RHLG] Violation by %n(%w)\';hlg_say \'[RHLG] Violation: %y\';hlg_say \'[RHLG] Punishment: Kick\'"

//====================================================//
// Действия при обнаружении читерского ника           //
//====================================================//
// z - сообщение в игре, запись в логи и бан на 2 часа
hlg_action "z:found" "hlg_writefile %L/rhlg_namebanlist.txt;hlg_write \'%d %h [Reallite HLGuard 2.4] -> %n<%w><%i> <%y> on %m <2 hours ban>\'"
hlg_action "z:found" "hlg_writefile %L/rhlg_namebanlist.htm;hlg_write \'%d %h [Reallite HLGuard 2.4] -> <b>%n</b>(<b>%w</b>)(<b>%i</b>) <b>%y</b> on <b>%m</b> <2 hours ban>\'"
hlg_action "z:found" "hlg_log \'%n<%w><%i> triggered <%y>\'"
hlg_action "z:found" "hlg_say \'[RHLG] Violation by %n(%w)\';hlg_say \'[RHLG] Violation: %y\';hlg_say \'[RHLG] Punishment: 2 hours ban\'"

//====================================================//
// Действия при обнаружении скрипта                   //
//====================================================//
// i - сообщение в игре, запись в логи и бан на 7 суток
hlg_action "i:found" "hlg_writefile %L/rhlg_detectionlist.txt;hlg_write \'%d %h [Reallite HLGuard 2.4] -> %n<%w><%i> <%y> on %m <7 days ban>\'"
hlg_action "i:found" "hlg_writefile %L/rhlg_detectionlist.htm;hlg_write \'%d %h [Reallite HLGuard 2.4] -> <b>%n</b>(<b>%w</b>)(<b>%i</b>) <b>%y</b> on <b>%m</b> (7 days ban)<br>\'"
hlg_action "i:found" "hlg_log \'%n<%w><%i> triggered <%y>\'"
hlg_action "i:found" "hlg_say \'[RHLG] Violation by %n(%w)\';hlg_say \'[RHLG] Violation: %y\';hlg_say \'[RHLG] Punishment: 7 days ban\'"

//====================================================//
// Действия при использовании запрещенного значения   //
//====================================================//
// u - сообщение в игре, удаление игрока с сервера и запись в логи
hlg_action "u:found" "hlg_writefile %L/rhlg_cvarviolations.txt;hlg_write \'%d %h [Reallite HLGuard 2.4] -> %n<%w><%i> <%y> on %m\'"
hlg_action "u:found" "hlg_writefile %L/rhlg_cvarviolations.htm;hlg_write \'%d %h [Reallite HLGuard 2.4] -> <b>%n</b>(<b>%w</b>)(<b>%i</b>) <b>%y</b> on <b>%m</b><br>\'"
hlg_action "u:found" "hlg_log \'%n<%w><%i> triggered <%y>\'"
hlg_action "u:found" "hlg_say \'[RHLG] Violation by %n(%w)\';hlg_say \'[RHLG] Violation: %y\';hlg_say \'[RHLG] Punishment: Kick\'"

//====================================================//
// Действия при обнаружении запрещенной программы     //
//====================================================//
// o - сообщение в игре, запись в логи и пернаментный бан
hlg_action "o:found" "hlg_writefile %L/rhlg_detectionlist.txt;hlg_write \'%d %h [Reallite HLGuard 2.4] -> %n<%w><%i> <%y> on %m <permanent ban>\'"
hlg_action "o:found" "hlg_writefile %L/rhlg_detectionlist.htm;hlg_write \'%d %h [Reallite HLGuard 2.4] -> <b>%n</b>(<b>%w</b>)(<b>%i</b>) <b>%y</b> on <b>%m</b> (permanent ban)<br>\'"
hlg_action "o:found" "hlg_log \'%n<%w><%i> triggered <%y>\'"
hlg_action "o:found" "hlg_say \'[RHLG] Violation by %n(%w)\';hlg_say \'[RHLG] Violation: %y\';hlg_say \'[RHLG] Punishment: Permanent ban\'"
hlg_action "o:found:1" "rhlg_screen %n"